
'Sanftanlauf fr elektrisches Handwerkzeug mit Brstenmotor 230V/50Hz
'Darunter fallen u.a. Winkelschleifer, Bohrmaschinen ect. und sollte
'bei geeignetem Aufbau darin Platz finden.

'Phasenanschnittsteuerung mit Attiny13 via MOC3023

'Attiny13 wird an PB1 mit Netzfrequenz synchronisiert und gibt an PB0 einen
'Steuerimpuls mit ~50s aus der, an der Sinuswelle rcklufig, die steigende
'Leistung (2 Stufen) ber einen Triac dem Brstenmotor zufhrt bis in ca.2,5 Sek.
'die max. Leistung am Motor anliegt. Der Reset-Pin wird mit einem 0,1F Kondensator
'hochgelegt um ein Reset durch Funkenstrungen des Brstenmotors zu vermeiden.

'Der Triac sollte bei hheren Leistungen mit Hilfe einer kleinen Khlfahne
'im Luftstrom des Motors liegen ohne diesen wesentlich zu bremsen.

'Zur Verwendung mu ein Triac-Optokoppler ohne zero-cross Schaltung kommen!

'Taktung des Attiny13 mit mindestens 9,6MHz intern (8:1 Teiler in den Fuses
'deaktivieren) oder hher mit externem Takt, da der Sinus des 50Hz
'Netzwechselstrom gehandhabt werden muss!


                               'Angaben fr den Kompiler
                               '------------------------

'Prozessor
$regfile = "attiny13.dat"

'Takt, intern 9,6 MHz
$crystal = 9600000

$hwstack = 10
$framesize = 15
$swstack = 10


'Konfiguration Variable
Dim T As Word
T = 7812

'conf Port's B auf Eingabe=0, Ausgabe=1
Ddrb = &B0000_0001

'Strom sparen
Stop Ac                                                     'Switch off the power to the Analog Comparator
Reset Acsr. Acbg                                            'Disable Analog Comparator Bandgap Select

                                 'Programmablauf
                                 '==============

Stufe1:

T = T - 12                                                  'Variable / Phasenschieber

Do
Loop Until Pinb.1 = 0                                       'Sinus geht auf 0

    Waitus T                                                'Phasenverschiebung

       Portb.0 = 1
       Waitus 50                                            'Impulsdauer MOC3023
       Portb.0 = 0

    If T < 4000 Then Goto Stufe2

Goto Stufe1



Stufe2:

T = T - 15                                                  'Variable / Phasenschieber

Do
Loop Until Pinb.1 = 0                                       'Sinus geht auf 0

     Waitus T                                               'Phasenverschiebung

        Portb.0 = 1
        If T < 2000 Then Stop                               'NOPs/max. Leistung
        Waitus 50                                           'Impulsdauer MOC3023
        Portb.0 = 0

Goto Stufe2